> ## Documentation Index
> Fetch the complete documentation index at: https://docs.penbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Case Inputs

> The inputs of a case, newest first. The list drops `changes`, `unmapped` and `content`, and carries `changes_count` / `applied_count` instead.

The inputs of a case, newest first.


## OpenAPI

````yaml GET /cases/{id}/inputs
openapi: 3.0.0
info:
  title: Penbox API
  version: '1.0'
  description: >-
    The Penbox API provides programmatic access to Penbox's form management,
    case management, and document processing capabilities. Authenticate using
    Bearer tokens created at https://app.penbox.io/workspace/settings/api
servers:
  - url: https://connect.penbox.io/v1
    description: Production
security:
  - BearerAuth: []
paths:
  /cases/{id}/inputs:
    get:
      summary: List Case Inputs
      description: >-
        The inputs of a case, newest first. The list drops `changes`, `unmapped`
        and `content`, and carries `changes_count` / `applied_count` instead.
      operationId: list-case-inputs
      parameters:
        - name: id
          in: path
          required: true
          description: Case UUID
          schema:
            type: string
            format: uuid
        - name: page[number]
          in: query
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: page[size]
          in: query
          schema:
            type: integer
            default: 10
            maximum: 100
            minimum: 1
        - name: sort
          in: query
          schema:
            type: string
            enum:
              - +created_at
              - '-created_at'
      responses:
        '200':
          description: Paginated list
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      total_count:
                        type: integer
                      total_pages:
                        type: integer
                      page_size:
                        type: integer
                      current_page:
                        type: integer
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CaseInputListItem'
components:
  schemas:
    CaseInputListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
          format: date-time
        case:
          type: object
          properties:
            id:
              type: string
              format: uuid
        source:
          type: string
        type:
          type: string
          nullable: true
        context:
          nullable: true
        mode:
          type: string
          enum:
            - suggest
            - auto
        status:
          type: string
          enum:
            - proposed
            - partially_applied
            - applied
        intelligence:
          type: object
        summary:
          type: string
          nullable: true
        reviewed_at:
          type: string
          format: date-time
          nullable: true
        changes_count:
          type: integer
        applied_count:
          type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token
      description: >-
        API token (starts with pnbx_). Create at
        https://app.penbox.io/workspace/settings/api. Include as: Authorization:
        Bearer {token}

````